// pages/activeManagement/activeManagement.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    volunteerEventList: [],
    page: 0,//当前页数
    pageCount: 0,//总页数

    //数据加载loading
    showLoading: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getEventList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    //触底以后加载更多
    if ((this.data.page + 1) < this.data.pageCount) {
      var pageIndex = this.data.page + 1
      this.setData({
        page: pageIndex
      })
      this.getEventList();
    } else {
      wx.showToast({
        title: '没有更多消息啦。',
        icon: 'success',
        duration: 2000
      });
    }
  },

  //检索我的志愿者活动列表
  getEventList() {
    var that = this;
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_my_event_list.php',
      data: {
        unionId: config.unionId,
        page: 0
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        if (res.statusCode == 200) {
          console.log(res)
          that.setData({
            pageCount: res.data.result.pageCount,
            volunteerEventList: res.data.result.volunteerEventList,
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //志愿者活动详情页面
  volunteersEventDetail(e) {
    let eventId = e.currentTarget.dataset['id'];
    wx.navigateTo({
      url: '../volunteersEventDetail/volunteersEventDetail?eventId=' + eventId,
    })
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})